<?
   // 
   // This material contains IBM copyrighted sample programming source 
   // code DB2(R) UDB PHP Demo.  IBM grants you a nonexclusive copyright 
   // license to use the Sample Code as an example from which you can 
   // generate similar function tailored to your own specific needs.  
   // Your license to this Sample Code provides you no right or licenses 
   // to any IBM patents.
   // 
   // The Sample Code is provided by IBM for illustrative purposes 
   // only.  The Sample Code has not been thoroughly tested under 
   // all conditions.  IBM, therefore, does not  guarantee or imply 
   // its reliability, serviceability, or function.  IBM provides 
   // no program services for the Sample Code.
   //  
   // All Sample Code contained herein is provided to you "AS IS" without 
   // any warranties of any kind. THE IMPLIED WARRANTIES OF 
   // MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE 
   // AND NON-INFRINGMENT ARE EXPRESSLY DISCLAIMED.  SOME 
   // JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED 
   // WARRANTIES, SO THE ABOVE EXCLUSIONS MAY NOT APPLY 
   // TO YOU.  IN NO EVENT WILL IBM BE LIABLE TO ANY PARTY 
   // FOR ANY DIRECT, INDIRECT, SPECIAL OR OTHER CONSEQUENTIAL 
   // DAMAGES FOR ANY USE OF THE SAMPLE CODE INCLUDING, 
   // WITHOUT LIMITATION, ANY LOST PROFITS, BUSINESS 
   // INTERRUPTION, LOSS OF PROGRAMS OR OTHER DATA ON 
   // YOUR INFORMATION HANDLING SYSTEM OR OTHERWISE, 
   // EVEN IF WE ARE EXPRESSLY ADVISED OF THE POSSIBILITY 
   // OF SUCH DAMAGES.
   // 
   // (C) Copyright IBM CORP. 2001
   // All rights reserved.
   // US Government Users Restricted Rights -
   // Use, duplication or disclosure restricted
   // by GSA ADP Schedule Contract with IBM Corp.
   // Licensed Material - Property of IBM	

   //////////////////////////////////////////////////////////////
   // iSeries Linux DB2/PHP/ODBC Demo
   // Written by Dave Boutcher (boutcher@us.ibm.com)
   //////////////////////////////////////////////////////////////
   // This PHP script displays the information for a single 
   // employee
   //////////////////////////////////////////////////////////////
   include("checkauth.inc");

   // Make sure we were given an activity number and fail otherwise
   if (!isset($_GET["actno"])) {
      $errmsg="No activity number provided";
      include("error.inc");
      exit;
   }

   // Get the activity number to retrieve.
   $actno = $_GET["actno"];

   // Submit the query
   $cur = odbc_exec($db,"select * from act where actno = $actno ");

   // Retrieve the record
   if(!odbc_fetch_row($cur)){
       $errmsg="Employee number $empno not found";
       include("error.inc");
       exit;
   }

   // Get the field from the result
   $actdesc  = odbc_result($cur,"actdesc");

   // Set the page title and include the standard page header
   $title="Activity: $actdesc";
   include("html_mainhdr.inc");
  
   // Output the activity information
   echo "<table align=center>";

   echo "<tr><th>&nbsp;</th></tr>";
   echo "<tr><th align=right valign=top>Projects charging this Activity:</th><td>";

   // Get a list of projects that reference this activity
   $cur3 = odbc_exec($db,"select project.projno,projname from projact,project ".
                         "where project.projno = projact.projno and actno = $actno");

   // Loop through the returned projects
   while(odbc_fetch_row($cur3)){
      $projno   = odbc_result($cur3,1);
      $projname = odbc_result($cur3,2);

      echo "<a href=\"projinfo.php?projno=$projno\">$projname</a><br>";
   }
   echo "</td></tr>";

   // Get a list of employees that reference this activity
   echo "<tr><th>&nbsp;</th></tr>";
   echo "<tr><th align=right valign=top>Employees performing this Activity:</th><td>";

   $cur4 = odbc_exec($db,"select distinct lastname,firstnme,x.empno " .
                         "from empprojact x,employee e where x.empno = e.empno " .
                         "and actno = $actno");
       
   // Loop through the projects
   while(odbc_fetch_row($cur4)){
      $lastname   = odbc_result($cur4,1);
      $firstnme   = odbc_result($cur4,2);
      $empno      = odbc_result($cur4,3);

      echo "<a href=\"empinfo.php?empno=$empno\">$lastname, $firstnme</a><br>";
   }
   echo "</td></tr>";
   echo "</table>";

   // Put out the standard page footer
   include("html_mainftr.inc");
?>

