<?
   // 
   // This material contains IBM copyrighted sample programming source 
   // code DB2(R) UDB PHP Demo.  IBM grants you a nonexclusive copyright 
   // license to use the Sample Code as an example from which you can 
   // generate similar function tailored to your own specific needs.  
   // Your license to this Sample Code provides you no right or licenses 
   // to any IBM patents.
   // 
   // The Sample Code is provided by IBM for illustrative purposes 
   // only.  The Sample Code has not been thoroughly tested under 
   // all conditions.  IBM, therefore, does not  guarantee or imply 
   // its reliability, serviceability, or function.  IBM provides 
   // no program services for the Sample Code.
   //  
   // All Sample Code contained herein is provided to you "AS IS" without 
   // any warranties of any kind. THE IMPLIED WARRANTIES OF 
   // MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE 
   // AND NON-INFRINGMENT ARE EXPRESSLY DISCLAIMED.  SOME 
   // JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED 
   // WARRANTIES, SO THE ABOVE EXCLUSIONS MAY NOT APPLY 
   // TO YOU.  IN NO EVENT WILL IBM BE LIABLE TO ANY PARTY 
   // FOR ANY DIRECT, INDIRECT, SPECIAL OR OTHER CONSEQUENTIAL 
   // DAMAGES FOR ANY USE OF THE SAMPLE CODE INCLUDING, 
   // WITHOUT LIMITATION, ANY LOST PROFITS, BUSINESS 
   // INTERRUPTION, LOSS OF PROGRAMS OR OTHER DATA ON 
   // YOUR INFORMATION HANDLING SYSTEM OR OTHERWISE, 
   // EVEN IF WE ARE EXPRESSLY ADVISED OF THE POSSIBILITY 
   // OF SUCH DAMAGES.
   // 
   // (C) Copyright IBM CORP. 2001
   // All rights reserved.
   // US Government Users Restricted Rights -
   // Use, duplication or disclosure restricted
   // by GSA ADP Schedule Contract with IBM Corp.
   // Licensed Material - Property of IBM	

   //////////////////////////////////////////////////////////////
   // iSeries Linux DB2/PHP/ODBC Demo
   // Written by Dave Boutcher (boutcher@us.ibm.com)
   //////////////////////////////////////////////////////////////
   // This PHP script displays the information for a single 
   // department
   //////////////////////////////////////////////////////////////
    include("checkauth.inc");

   // Make sure we were given a department number and fail otherwise
    if (!isset($_GET["deptno"])) {
       $errmsg="No department number provided";
       include("error.inc");
       exit;
    }

   // Get the department number to retrieve.
   $deptno = $_GET["deptno"];

   // Actually get the record for this department
   $cur = odbc_exec($db,"select * from department,employee where deptno = '$deptno' and mgrno=empno");

   // Retrieve the record
   if(!odbc_fetch_row($cur)){
       $errmsg="Employee number $empno not found";
       include("error.inc");
       exit;
   }

   // Get all the fields from the department record
   $deptname = odbc_result($cur,"deptname");
   $firstnme = odbc_result($cur,"firstnme");
   $lastname = odbc_result($cur,"lastname");
   $mgrno    = odbc_result($cur,"mgrno");

   // Set the page title and include the standard page header
   $title="Department: $deptname";
   include("html_mainhdr.inc");
  
   // Now output the department information.
   echo "<table align=center>";

   echo "<tr><th align=right>Department number:</th><td>$deptno</td></tr>";
   echo "<tr><th align=right>Manager:</th><td><a href=\"empinfo.php?empno=$mgrno\">$lastname, $firstnme</a></td></tr>";
   
   echo "<tr><th>&nbsp;</th></tr>";
   echo "<tr><th align=right valign=top>Employees:</th><td>";

   // Get a list of the employees in this department
   $cur2 = odbc_exec($db,"select empno,lastname,firstnme from employee where workdept = '$deptno'");
   while(odbc_fetch_row($cur2)){
      $fname = odbc_result($cur2,"firstnme");
      $lname = odbc_result($cur2,"lastname");
      $empno = odbc_result($cur2,"empno");

      echo "<a href=\"empinfo.php?empno=$empno\">$lname, $fname</a><br>";
   }
   echo "</td></tr>";

   echo "<tr><th>&nbsp;</th></tr>";
   echo "<tr><th align=right valign=top>Projects:</th><td>";

   // Get a list of projects this department is working on
   $cur3 = odbc_exec($db,"select projname,projno from project where deptno = '$deptno'");
   while(odbc_fetch_row($cur3)){
      $projno   = odbc_result($cur3,"projno");
      $projname = odbc_result($cur3,"projname");

      echo "<a href=\"projinfo.php?projno=$projno\">$projname</a><br>";
   }
   echo "</td></tr>";
   echo "</table>";

   // Output the standard page footer
   include("html_mainftr.inc");
?>

