<?
   // 
   // This material contains IBM copyrighted sample programming source 
   // code DB2(R) UDB PHP Demo.  IBM grants you a nonexclusive copyright 
   // license to use the Sample Code as an example from which you can 
   // generate similar function tailored to your own specific needs.  
   // Your license to this Sample Code provides you no right or licenses 
   // to any IBM patents.
   // 
   // The Sample Code is provided by IBM for illustrative purposes 
   // only.  The Sample Code has not been thoroughly tested under 
   // all conditions.  IBM, therefore, does not  guarantee or imply 
   // its reliability, serviceability, or function.  IBM provides 
   // no program services for the Sample Code.
   //  
   // All Sample Code contained herein is provided to you "AS IS" without 
   // any warranties of any kind. THE IMPLIED WARRANTIES OF 
   // MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE 
   // AND NON-INFRINGMENT ARE EXPRESSLY DISCLAIMED.  SOME 
   // JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED 
   // WARRANTIES, SO THE ABOVE EXCLUSIONS MAY NOT APPLY 
   // TO YOU.  IN NO EVENT WILL IBM BE LIABLE TO ANY PARTY 
   // FOR ANY DIRECT, INDIRECT, SPECIAL OR OTHER CONSEQUENTIAL 
   // DAMAGES FOR ANY USE OF THE SAMPLE CODE INCLUDING, 
   // WITHOUT LIMITATION, ANY LOST PROFITS, BUSINESS 
   // INTERRUPTION, LOSS OF PROGRAMS OR OTHER DATA ON 
   // YOUR INFORMATION HANDLING SYSTEM OR OTHERWISE, 
   // EVEN IF WE ARE EXPRESSLY ADVISED OF THE POSSIBILITY 
   // OF SUCH DAMAGES.
   // 
   // (C) Copyright IBM CORP. 2001
   // All rights reserved.
   // US Government Users Restricted Rights -
   // Use, duplication or disclosure restricted
   // by GSA ADP Schedule Contract with IBM Corp.
   // Licensed Material - Property of IBM	

   //////////////////////////////////////////////////////////////
   // iSeries Linux DB2/PHP/ODBC Demo
   // Written by Dave Boutcher (boutcher@us.ibm.com)
   //////////////////////////////////////////////////////////////
   // This PHP script displays the information for a single 
   // employee
   //////////////////////////////////////////////////////////////
   include("checkauth.inc");

   // Make sure we were given an employee number and fail otherwise
   if (!isset($_GET["empno"])) {
      $errmsg="No employee number provided";
      include("error.inc");
      exit;
   }

   // Get the employee number to retrieve.
   $empno = $_GET["empno"];

   // Actually get the record for this employee.
   $cur = odbc_exec($db,"select * from employee,department where empno = '$empno' and workdept=deptno");
   checksql($cur);
   
   // Retrieve the record
   if(!odbc_fetch_row($cur)){
       $errmsg="Employee number $empno not found";
       include("error.inc");
       exit;
   }
 
   // Get all the fields from the employee record
   $empno    = odbc_result($cur,"empno");
   $firstnme = odbc_result($cur,"firstnme");
   $midinit  = odbc_result($cur,"midinit");
   $lastname = odbc_result($cur,"lastname");
   $workdept = odbc_result($cur,"workdept");
   $phoneno  = odbc_result($cur,"phoneno");
   $hiredate = odbc_result($cur,"hiredate");
   $job      = odbc_result($cur,"job");
   $sex      = odbc_result($cur,"sex");
   $birthdate= odbc_result($cur,"birthdate");
   $salary   = odbc_result($cur,"salary");
   $bonus    = odbc_result($cur,"bonus");
   $comm     = odbc_result($cur,"comm");
   $deptname = odbc_result($cur,"deptname");
   $mgrno    = odbc_result($cur,"mgrno");   

   // Now retrieve the information for this employee's manager
   $cur2 = odbc_exec($db,"select lastname, firstnme from employee where empno = '$mgrno'");
   if(odbc_fetch_row($cur2)){ 
      $mgrfirstnme = odbc_result($cur2,"firstnme");
      $mgrlastname = odbc_result($cur2,"lastname");
   } else {
      $mgrfirstnme = "";
      $mgrlastname = "";
   }

   // See if there is a record for this employee in the emp_photo file
   $cur3 = odbc_exec($db,"select count(empno) from emp_photo where empno = '$empno'");
   if ($cur3)
      $has_photo = odbc_result($cur3,1);
   else
      $has_photo = 0;

   // See if there is a record for this employee in the emp_resume filre
   $cur4 = odbc_exec($db,"select count(empno) from emp_resume where empno = '$empno'");
   if ($cur4)
      $has_resume = odbc_result($cur4,1);
   else
      $has_resume = 0;

   // Set the page title and include the standard page header
   $title="Employee: $lastname, $firstnme $midinit";
   include("html_mainhdr.inc");

   // Now output the employee information.
   echo "<table align=center>";

   echo "<tr><th align=right>Picture:</th><td>";
   if ($has_photo) 
      echo "<img src=\"getimg.php?empno=$empno\" alt=\"$lastname, $firstnme\">";
   else
      echo "No picture available";
   echo "</td></tr>";

   echo "<tr><th align=right>Employee number:</th><td>$empno</td></tr>";
   echo "<tr><th align=right>Phone number:</th><td>$phoneno</td></tr>";
   echo "<tr><th align=right>Birth Date:</th><td>$birthdate</td></tr>";
   echo "<tr><th align=right>Sex:</th><td>$sex</td></tr>";
   echo "<tr><th align=right>Hire Date:</th><td>$hiredate</td></tr>";

   echo "<tr><th align=right>Resume:</th><td>";
   if ($has_resume) { 
      echo "<a href=\"getresume.php?empno=$empno&format=ascii\">Plain Resume</a>," . 
           "<a href=\"getresume.php?empno=$empno&format=html\">Formatted Resume</a>";
   } else 
      echo "No resume available";
   echo "</td></tr>";

   echo "<tr><th align=right>Salary:</th><td align=right>\$$salary</td></tr>";
   echo "<tr><th align=right>Bonus:</th><td align=right>\$$bonus</td></tr>";
   echo "<tr><th align=right>Commission:</th><td align=right>\$$comm</td></tr>";
   echo "<tr><th align=right>Department:</th><td><a href=\"deptinfo.php?deptno=$workdept\">$deptname ($workdept)</a></td></tr>";
   echo "<tr><th align=right>Manager:</th><td><a href=\"empinfo.php?empno=$mgrno\">$mgrlastname, $mgrfirstnme</a></td></tr>";
   echo "</table>";

   // Display the activities this employee is involved in
   echo "<table class=data align=center><tr><th>Project</th>".
        "<th>Activity</th><th>Percent Time</th><th>Start Date</th><th>End Date</th></tr>";
   
   // Get all records from the activity file that this employee references
   $cur5 = odbc_exec($db,"select a.actno,actdesc,p.projno,projname,emptime,emstdate,emendate " .
                         "from empprojact x,employee e,project p,act a where x.empno = e.empno ".
                         "and x.projno = p.projno and " .
                         "x.actno = a.actno and x.empno = '$empno'");
    
   // Loop through all the returned activity records
   while(odbc_fetch_row($cur5)){
      $actno      = odbc_result($cur5,1);
      $actdesc    = odbc_result($cur5,2);
      $projno     = odbc_result($cur5,3);
      $projname   = odbc_result($cur5,4);
      $emptime    = odbc_result($cur5,5);
      $emstdate   = odbc_result($cur5,6);
      $emendate   = odbc_result($cur5,7);

      $emptime = $emptime * 100;

      echo "<td><a href=\"projinfo.php?projno=$projno\">$projname</a></td>";
      echo "<td><a href=\"actinfo.php?actno=$actno\">$actdesc</a></td>";
      echo "<td>$emptime%</td><td>$emstdate</td><td>$emendate</td></tr>";
   }
   echo "</td></tr></table>";

   // Output the standard page footer
   include("html_mainftr.inc");
?>


