<?
   // 
   // This material contains IBM copyrighted sample programming source 
   // code DB2(R) UDB PHP Demo.  IBM grants you a nonexclusive copyright 
   // license to use the Sample Code as an example from which you can 
   // generate similar function tailored to your own specific needs.  
   // Your license to this Sample Code provides you no right or licenses 
   // to any IBM patents.
   // 
   // The Sample Code is provided by IBM for illustrative purposes 
   // only.  The Sample Code has not been thoroughly tested under 
   // all conditions.  IBM, therefore, does not  guarantee or imply 
   // its reliability, serviceability, or function.  IBM provides 
   // no program services for the Sample Code.
   //  
   // All Sample Code contained herein is provided to you "AS IS" without 
   // any warranties of any kind. THE IMPLIED WARRANTIES OF 
   // MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE 
   // AND NON-INFRINGMENT ARE EXPRESSLY DISCLAIMED.  SOME 
   // JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED 
   // WARRANTIES, SO THE ABOVE EXCLUSIONS MAY NOT APPLY 
   // TO YOU.  IN NO EVENT WILL IBM BE LIABLE TO ANY PARTY 
   // FOR ANY DIRECT, INDIRECT, SPECIAL OR OTHER CONSEQUENTIAL 
   // DAMAGES FOR ANY USE OF THE SAMPLE CODE INCLUDING, 
   // WITHOUT LIMITATION, ANY LOST PROFITS, BUSINESS 
   // INTERRUPTION, LOSS OF PROGRAMS OR OTHER DATA ON 
   // YOUR INFORMATION HANDLING SYSTEM OR OTHERWISE, 
   // EVEN IF WE ARE EXPRESSLY ADVISED OF THE POSSIBILITY 
   // OF SUCH DAMAGES.
   // 
   // (C) Copyright IBM CORP. 2001
   // All rights reserved.
   // US Government Users Restricted Rights -
   // Use, duplication or disclosure restricted
   // by GSA ADP Schedule Contract with IBM Corp.
   // Licensed Material - Property of IBM	

   //////////////////////////////////////////////////////////////
   // iSeries Linux DB2/PHP/ODBC Demo
   // Written by Dave Boutcher (boutcher@us.ibm.com)
   //////////////////////////////////////////////////////////////
   // This PHP script displays the information for a single 
   // project
   //////////////////////////////////////////////////////////////
   include("checkauth.inc");

   // Make sure we were given a project number and fail otherwise
   if (!isset($_GET["projno"])) {
      $errmsg="No project number provided";
      include("error.inc");
      exit;
   }

   // Get the project number to retrieve
   $projno = $_GET["projno"];

   // Submit the query
   $cur = odbc_exec($db,"select * from project,employee,department " .
                        "where projno = '$projno' and empno = respemp and project.deptno = department.deptno");

   // Retrieve the record
   if(!odbc_fetch_row($cur)){
       $errmsg="Project number $projno not found";
       include("error.inc");
       exit;
   }

   // Get the fields from the result
   $projname = odbc_result($cur,"deptname");
   $prstaff  = odbc_result($cur,"prstaff");
   $prstdate = odbc_result($cur,"prstdate");
   $prendate = odbc_result($cur,"prendate");
   $majproj  = odbc_result($cur,"majproj");
   $deptname = odbc_result($cur,"deptname");
   $firstnme = odbc_result($cur,"firstnme");
   $lastname = odbc_result($cur,"lastname");
   $respemp  = odbc_result($cur,"respemp");
   $deptno    = odbc_result($cur,"deptno");

   $title="Project: $projname";
   include("html_mainhdr.inc");

   echo "<table align=center>";

   echo "<tr><th align=right>Project number:</th><td>$projno</td></tr>";
   echo "<tr><th align=right>Owner:</th><td><a href=\"empinfo.php?empno=$respemp\">$lastname, $firstnme</a></td></tr>";
   echo "<tr><th align=right>Department:</th><td><a href=\"deptinfo.php?deptno=$deptno\">$deptname</a></td></tr>";
   echo "<tr><th align=right>Start Date:</th><td>$prstdate</td></tr>";
   echo "<tr><th align=right>End Date:</th><td>$prendate</td></tr>";
   echo "<tr><th align=right>Staffing:</th><td>$prstaff</td></tr>";

   // If this project has a major project above it, retieve that 
   if ($majproj) {
      $cur2 = odbc_exec($db,"select projname from project where projno='$majproj'");
      if(odbc_fetch_row($cur2)){
         $parentproj = odbc_result($cur2,"projname");
         echo "<tr><th align=right>Owning Project:</th><td><a href=\"projinfo.php?projno=$majproj\">$parentproj</a><td></tr>";
      }
   }
	
   echo "<tr><th>&nbsp;</th></tr>";
   echo "<tr><th align=right valign=top>Activities:</th><td>";

   // Now query all activities referencing this project
   $cur3 = odbc_exec($db,"select act.actno,actdesc from projact,act ".
                         "where act.actno = projact.actno and projno = '$projno'");

   // Loop through the returned activities
   while(odbc_fetch_row($cur3)){
      $actno   = odbc_result($cur3,1);
      $actdesc = odbc_result($cur3,2);

      echo "<a href=\"actinfo.php?actno=$actno\">$actdesc</a><br>";
   }
   echo "</td></tr>";

   echo "<tr><th>&nbsp;</th></tr>";
   echo "<tr><th align=right valign=top>Workers:</th><td>";

   // Get all employees working on this project
   $cur4 = odbc_exec($db,"select distinct lastname,firstnme,x.empno " .
                         "from empprojact x,employee e where x.empno = e.empno " .
                         "and projno = '$projno'");
    
   // retrieve all the returned employees
   while(odbc_fetch_row($cur4)){
      $lastname   = odbc_result($cur4,1);
      $firstnme   = odbc_result($cur4,2);
      $empno      = odbc_result($cur4,3);

      echo "<a href=\"empinfo.php?empno=$empno\">$lastname, $firstnme</a><br>";
   }
   echo "</td></tr>";

   echo "</table>";

   // put out the standard page footer
   include("html_mainftr.inc");
?>












